require 'rails'
require 'acts_as_csv_import'

p "Railtie loaded"

begin
module ActsAsCsvImport
  class Railtie < Rails::Railtie
    config.to_prepare do
      p "hook csv import added"
      ActiveRecord::Base.send(:extend, ActsAsCsvImport::Hook)
    end
  end
end
rescue
p $!, $!.message
raise $!
end
